<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="0dp">

            <ImageView
                android:id="@+id/iv_reward_img"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="@dimen/margin_2x_size"
                android:scaleType="centerInside"
                android:src="@drawable/ic_coins"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tv_reward_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_2x_size"
                android:text="yes T-shirt"
                android:textColor="@color/black"
                android:textSize="@dimen/large_text_size"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/iv_reward_img" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tv_reward_coin"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_2x_size"
                android:text="1800 coins"
                android:textColor="@color/colorPrimary"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_reward_name" />


            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tv_reward_term_condition_detail"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_4x_size"
                android:layout_marginTop="@dimen/margin_1x_size"
                android:text="llllalal"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_reward_coin" />

            <com.seatel.mobilehall.util.customview.CustomButton
                android:id="@+id/btn_redeem"
                android:layout_width="150dp"
                android:layout_height="35dp"
                android:layout_marginTop="@dimen/margin_3x_size"
                android:background="@drawable/bg_button_primary"
                android:gravity="center"
                android:text="Redeem"
                android:textColor="@color/white"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_reward_term_condition_detail" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </ScrollView>


</androidx.constraintlayout.widget.ConstraintLayout>